VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FinalAction< Proc > Class Template Reference

`#include <finally.h>`

## Public Member Functions
| FinalAction (Proc action) noexcept
| FinalAction (FinalAction &&other) noexcept
| FinalAction (const FinalAction &)=delete
FinalAction & | operator= (const FinalAction &)=delete
FinalAction & | operator= (FinalAction &&)=delete
| ~FinalAction () noexcept

## Constructor & Destructor Documentation

## ◆ FinalAction() [1/3]

template<typename Proc>

FinalAction | ( | Proc | action | ) |
| inline explicit noexcept

## ◆ FinalAction() [2/3]

template<typename Proc>

FinalAction | ( | FinalAction< Proc > && | other | ) |
| inline noexcept

## ◆ FinalAction() [3/3]

template<typename Proc>

FinalAction | ( | const FinalAction< Proc > & |  | ) |
| delete

## ◆ ~FinalAction()

template<typename Proc>

~FinalAction | ( |  | ) |
| inline noexcept

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename Proc>

FinalAction & operator= | ( | const FinalAction< Proc > & |  | ) |
| delete

## ◆ operator=() [2/2]

template<typename Proc>

FinalAction & operator= | ( | FinalAction< Proc > && |  | ) |
| delete

The documentation for this class was generated from the following file:

- finally.h